## r-cran-gunifrac 1.4

=== DESCRIPTION ===
Package: GUniFrac
Type: Package
Title: Generalized UniFrac Distances, Distance-Based Multivariate
        Methods and Feature-Based Univariate Methods for Microbiome
        Data Analysis
Version: 1.4
Date: 2021-11-06
Author: Jun Chen, Xianyang Zhang, Huijuan Zhou
Maintainer: Jun Chen <chen.jun2@mayo.edu>
Description: A suite of methods for powerful and robust microbiome data analysis including data normalization, data simulation, community-level association testing and differential abundance analysis. It implements generalized UniFrac distances,  Geometric Mean of Pairwise Ratios (GMPR) normalization, semiparametric data simulator, distance-based statistical methods, and feature-based statistical methods. The distance-based statistical methods include three extensions of PERMANOVA: (1) PERMANOVA using the Freedman-Lane permutation scheme, (2) PERMANOVA omnibus test using multiple matrices, and  (3) analytical approach to approximating PERMANOVA p-value. Feature-based statistical methods include linear model-based methods for differential abundance analysis of zero-inflated high-dimensional compositional data. 
Depends: R (>= 3.5.0)
Suggests: ade4
Imports: Rcpp (>= 0.12.13), vegan, ggplot2, matrixStats, Matrix, ape,
        parallel, stats, utils, statmod, rmutil, dirmult, MASS,
        ggrepel, lmerTest, foreach, modeest
LinkingTo: Rcpp
NeedsCompilation: yes
License: GPL-3
Encoding: UTF-8
Packaged: 2021-11-10 04:48:17 UTC; m123485
Repository: CRAN
Date/Publication: 2021-11-10 06:20:02 UTC

=== debian/changelog ===
r-cran-gunifrac (1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Build-Depends: r-cran-modeest

 -- Andreas Tille <tille@debian.org>  Sat, 11 Dec 2021 23:13:07 +0100

r-cran-gunifrac (1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Build-Depends: r-cran-rmutil, r-cran-dirmult
  * Architecture: any

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 13:58:29 +0200

r-cran-gunifrac (1.1-2) unstable; urgency=medium

  * Source-only upload.

 -- Nilesh Patra <nilesh@debian.org>  Mon, 16 Aug 2021 17:36:26 +0530

r-cran-gunifrac (1.1-1) unstable; urgency=medium

  * Initial release (closes: #986973)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 15 Apr 2021 00:27:37 +0530

=== debian/control ===
Source: r-cran-gunifrac
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Nilesh Patra <nilesh@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-vegan,
               r-cran-ggplot2,
               r-cran-matrixstats,
               r-cran-matrix,
               r-cran-ape,
               r-cran-statmod,
               r-cran-rmutil,
               r-cran-dirmult,
               r-cran-mass,
               r-cran-ggrepel,
               r-cran-lmertest,
               r-cran-foreach,
               r-cran-modeest
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gunifrac
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gunifrac.git
Homepage: https://cran.r-project.org/package=GUniFrac
Rules-Requires-Root: no

Package: r-cran-gunifrac
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Generalized UniFrac Distances
 Generalized UniFrac distances for comparing microbial communities.
 Permutational multivariate analysis of variance using multiple
 distance matrices.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/GUniFrac_([-\d.]*)\.tar\.gz

## r-cran-gunifrac 1.6+dfsg

=== debian/changelog ===
r-cran-gunifrac (1.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 20 May 2022 11:34:06 +0200

r-cran-gunifrac (1.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Fri, 08 Apr 2022 12:12:30 +0200

## r-cran-gunifrac 1.7+dfsg

=== DESCRIPTION ===
Package: GUniFrac
Type: Package
Title: Generalized UniFrac Distances, Distance-Based Multivariate
        Methods and Feature-Based Univariate Methods for Microbiome
        Data Analysis
Version: 1.7
Date: 2022-10-23
Author: Jun Chen, Xianyang Zhang, Lu Yang
Maintainer: Jun Chen <chen.jun2@mayo.edu>
Description: A suite of methods for powerful and robust microbiome data analysis including data normalization, data simulation, community-level association testing and differential abundance analysis. It implements generalized UniFrac distances,  Geometric Mean of Pairwise Ratios (GMPR) normalization, semiparametric data simulator, distance-based statistical methods, and feature-based statistical methods. The distance-based statistical methods include three extensions of PERMANOVA: (1) PERMANOVA using the Freedman-Lane permutation scheme, (2) PERMANOVA omnibus test using multiple matrices, and  (3) analytical approach to approximating PERMANOVA p-value. Feature-based statistical methods include linear model-based methods for differential abundance analysis of zero-inflated high-dimensional compositional data. 
Depends: R (>= 3.5.0)
Suggests: ade4, knitr, markdown, ggpubr
Imports: Rcpp (>= 0.12.13), vegan, ggplot2, matrixStats, Matrix, ape,
        parallel, stats, utils, statmod, rmutil, dirmult, MASS,
        ggrepel, foreach, modeest
LinkingTo: Rcpp
NeedsCompilation: yes
VignetteBuilder: knitr
License: GPL-3
Encoding: UTF-8
Packaged: 2022-10-23 20:47:42 UTC; M123485
Repository: CRAN
Date/Publication: 2022-10-23 21:27:48 UTC

=== debian/changelog ===
r-cran-gunifrac (1.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 28 Oct 2022 11:53:51 +0200

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,9 @@
                r-cran-dirmult,
                r-cran-mass,
                r-cran-ggrepel,
-               r-cran-lmertest,
                r-cran-foreach,
                r-cran-modeest
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gunifrac
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gunifrac.git
 Homepage: https://cran.r-project.org/package=GUniFrac

## r-cran-gunifrac 1.8+dfsg

=== DESCRIPTION ===
Package: GUniFrac
Type: Package
Title: Generalized UniFrac Distances, Distance-Based Multivariate
        Methods and Feature-Based Univariate Methods for Microbiome
        Data Analysis
Version: 1.8
Date: 2023-09-13
Author: Jun Chen, Xianyang Zhang, Lu Yang, Lujun Zhang
Maintainer: Jun Chen <chen.jun2@mayo.edu>
Description: A suite of methods for powerful and robust microbiome data analysis including data normalization, data simulation, community-level association testing and differential abundance analysis. It implements generalized UniFrac distances,  Geometric Mean of Pairwise Ratios (GMPR) normalization, semiparametric data simulator, distance-based statistical methods, and feature-based statistical methods. The distance-based statistical methods include three extensions of PERMANOVA: (1) PERMANOVA using the Freedman-Lane permutation scheme, (2) PERMANOVA omnibus test using multiple matrices, and  (3) analytical approach to approximating PERMANOVA p-value. Feature-based statistical methods include linear model-based methods for differential abundance analysis of zero-inflated high-dimensional compositional data. 
Depends: R (>= 3.5.0)
Suggests: ade4, knitr, markdown, ggpubr
Imports: Rcpp (>= 0.12.13), vegan, ggplot2, matrixStats, Matrix, ape,
        parallel, stats, utils, statmod, rmutil, dirmult, MASS,
        ggrepel, foreach, modeest, inline, methods
LinkingTo: Rcpp
NeedsCompilation: yes
VignetteBuilder: knitr
License: GPL-3
Encoding: UTF-8
Packaged: 2023-09-13 22:22:15 UTC; m123485
Repository: CRAN
Date/Publication: 2023-09-14 00:02:32 UTC

=== debian/changelog ===
r-cran-gunifrac (1.8+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 22 Sep 2023 15:23:02 +0200

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,9 @@
                r-cran-mass,
                r-cran-ggrepel,
                r-cran-foreach,
-               r-cran-modeest
-Standards-Version: 4.6.1
+               r-cran-modeest,
+               r-cran-inline
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gunifrac
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gunifrac.git
 Homepage: https://cran.r-project.org/package=GUniFrac

## r-cran-gunifrac 1.9%2Bdfsg

=== debian/control ===
Source: r-cran-gunifrac
Standards-Version: 4.7.2
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-rcpp,
 r-cran-vegan,
 r-cran-ggplot2,
 r-cran-matrixstats,
 r-cran-matrix,
 r-cran-ape,
 r-cran-statmod,
 r-cran-rmutil,
 r-cran-dirmult,
 r-cran-mass,
 r-cran-ggrepel,
 r-cran-foreach,
 r-cran-modeest,
 r-cran-inline,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gunifrac
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gunifrac.git
Homepage: https://cran.r-project.org/package=GUniFrac

Package: r-cran-gunifrac
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Generalized UniFrac Distances
 Generalized UniFrac distances for comparing microbial communities.
 Permutational multivariate analysis of variance using multiple
 distance matrices.

## r-cran-gunifrac 1.9+dfsg

=== DESCRIPTION ===
Package: GUniFrac
Type: Package
Title: Generalized UniFrac Distances, Distance-Based Multivariate
        Methods and Feature-Based Univariate Methods for Microbiome
        Data Analysis
Version: 1.9
Date: 2025-08-25
Authors@R: c(person(given = "Jun",
                        family = "Chen",
                        role = c("aut", "cre"),
                        email = "chen.jun2@mayo.edu"),
                 person(given = "Xianyang",
                        family = "Zhang",
                        role = "aut"),
                 person(given = "Lu",
                        family = "Yang",
                        role = "aut"),
                 person(given = "Lujun",
                        family = "Zhang",
                        role = "aut"))
Description: A suite of methods for powerful and robust microbiome data analysis including data normalization, data simulation, community-level association testing and differential abundance analysis. It implements generalized UniFrac distances,  Geometric Mean of Pairwise Ratios (GMPR) normalization, semiparametric data simulator, distance-based statistical methods, and feature-based statistical methods. The distance-based statistical methods include three extensions of PERMANOVA: (1) PERMANOVA using the Freedman-Lane permutation scheme, (2) PERMANOVA omnibus test using multiple matrices, and  (3) analytical approach to approximating PERMANOVA p-value. Feature-based statistical methods include linear model-based methods for differential abundance analysis of zero-inflated high-dimensional compositional data. 
Depends: R (>= 3.5.0)
Suggests: ade4, knitr, markdown, ggpubr
Imports: Rcpp (>= 0.12.13), vegan, ggplot2, matrixStats, Matrix, ape,
        parallel, stats, utils, statmod, rmutil, dirmult, MASS,
        ggrepel, foreach, modeest, inline, methods
LinkingTo: Rcpp
NeedsCompilation: yes
VignetteBuilder: knitr
License: GPL-3
Encoding: UTF-8
Packaged: 2025-08-25 19:13:10 UTC; chen.jun2
Author: Jun Chen [aut, cre],
  Xianyang Zhang [aut],
  Lu Yang [aut],
  Lujun Zhang [aut]
Maintainer: Jun Chen <chen.jun2@mayo.edu>
Repository: CRAN
Date/Publication: 2025-08-25 21:20:02 UTC

=== debian/changelog ===
r-cran-gunifrac (1.9+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 19 Feb 2026 13:49:18 +0900

r-cran-gunifrac (1.9+dfsg-2) unstable; urgency=medium

  * Add myself to Uploaders
    Closes: #1119066
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 06 Dec 2025 22:40:58 +0100

r-cran-gunifrac (1.9+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * Drop Redundant "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop myself from uploaders
  * New upstream version 1.9+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Sun, 26 Oct 2025 17:49:38 +0530

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-cran-gunifrac
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders:
  Andreas Tille <tille@debian.org>,
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-r,
@@ -24,6 +23,8 @@
  r-cran-foreach,
  r-cran-modeest,
  r-cran-inline,
+ architecture-is-64-bit,
+ architecture-is-little-endian,
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gunifrac
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gunifrac.git
 Homepage: https://cran.r-project.org/package=GUniFrac
